<?php
if (function_exists('register_sidebar'))
    register_sidebar(array('name'=>'sidebar',
        'before_widget' => '<div class="block">',
        'after_widget' => '</div><div class="block-bottom"></div></div>',
        'before_title' => '<div class="block-top"></div><div class="block-content"><h3>',
        'after_title' => '</h3>',
    ));

remove_action('wp_head', 'wp_generator');

function csv_tags() {
    $posttags = get_the_tags();
    foreach((array)$posttags as $tag) {
        $csv_tags .= $tag->name . ',';
    }
    echo '<meta name="keywords" content="'.$csv_tags.'" />';
}

$theme_data   = get_theme('ExpressionBlue');
$ex_version   = $theme_data['Version'];
$ex_options   = get_option('ex_options');
$old_options  = $ex_options;

if (!$ex_options['ex_sidebar']) $ex_options['ex_sidebar'] = 'right';

if ($old_options != $ex_options)
	update_option('ex_options', $ex_options);


/* Adding the admin menu in; */
add_action('admin_menu', 'ex_add_theme_page');
add_action('admin_head', 'ex_theme_page_head');


/* Adding the theme page to the admin panel; */
function ex_add_theme_page() { 
	add_theme_page(__('Expression Blue'), 'Expression Blue', 'edit_themes', basename(__FILE__), 'ex_theme_page');
}

/* Adding style in for the theme page header; */
function ex_theme_page_head() {
  global $ex_options;
?>
<style type="text/css">
.form-table {
  width: 600px;
}
table.form-table td {
  padding: 0 10px 5px 0;
  margin: 0;
}
table.form-table p.move {
  margin: 0;
  padding: 3px 0 0 0;
}
#ex_options_form { 
  width: 630px;
}
#ex_options_form fieldset {
  border: 1px solid #ccc;
  background-color: #fff;
  padding: 5px 5px 10px 5px;
  margin: 0 5px 25px 5px;
}
#ex_options_form legend {
  padding: 2px 10px;
  margin: 0 0 0 25px;
  background-color: #fff;
  position: relative;
  font-size: 16px;
  font-weight: bold;
  top: -15px;
  border-top: 1px solid #ccc;
  border-left: 1px solid #ccc;
  border-right: 1px solid #ccc;
}
#ex_options_form h3 {
  padding: 0; margin: 0;
}
#ex_options_form p {
  padding: 0 0 5px 0;
  margin: 0;
}
#ex_options_form input[type="radio"] {
  padding: 0 0 0 10px;
  margin: 0 0 0 5px;
}
</style>

<?php
}

function ex_theme_page() {
    global $ex_options;
	
	if (isset($_GET['dismiss'])) {
		$ex_actions = get_option('ex_actions');
		$ex_actions[$_GET['dismiss']] = 0;
		update_option('ex_actions', $ex_actions);
	}
	
	if (isset($_POST['updated'])) {
		foreach (
			array(
				'ex_sidebar',
			) as $field
		) {
			$ex_options[$field] = $_POST[$field];
		}
		update_option('ex_options', $ex_options);
			
		echo '<div class="updated fade"><p>Options updated.</p></div>';
	}
?>
<div class='wrap'>
	<h2><?php $ex = get_theme('ExpressionBlue'); ?><?php _e('Customize ExpressionBlue ' . $ex["Version"] . ' Theme'); ?></h2>
		
	<p class="form-table">
	  This is version <?php $ex = get_theme('ExpressionBlue'); echo $ex['Version']; ?> of <a href="http://www.theenglishguy.co.uk/expression-blue-wordpress-theme/" rel="tag" title="Show your support, please make a donation">Expression Blue</a> - a two-column, configurable, wordpress theme - are you using the latest version?
    </p>
		
	<br /><br />
	
	<form method="post" id="ex_options_form" action="<?php echo attribute_escape($_SERVER['REQUEST_URI']); ?>">
		<input type="hidden" name="updated" value="1" /> 
        
        <fieldset>
        	<legend>Display</legend>
        <table class="form-table">
            <tr valign="top">
            	<td width="150"><h3>Sidebar</h3></td>
                <td colspan="4">
                	<p>
                      Sidebar, left or right.
                    </p>
                </td>
            </tr>
            <tr valign="top">
            	<td width="150"></td>
				<td width="100"><?php _e('Left'); ?><input type="radio" name="ex_sidebar" value="left" <?php echo ($ex_options['ex_sidebar'] == 'left' ? 'checked="checked"' : ''); ?> /></td>
				<td width="100"><?php _e('Right'); ?><input type="radio" name="ex_sidebar" value="right" <?php echo ($ex_options['ex_sidebar'] == 'right' ? 'checked="checked"' : ''); ?> /></td>
                <td colspan="2" width="250"></td>
            </tr>
        </table>
        </fieldset>
        
		<fieldset>
        	<legend>Update the Theme</legend>
		<table class="form-table">
			<tr valign="top">
				<td colspan="5">
					<p style="text-align:center;">
					Click to update the theme.
					</p>
					
					<input type="hidden" name="action" value="update" />
		
					<p class="submit" style="text-align:center;">
						<input type="submit" name="submitform" value="<?php echo attribute_escape(__('Update Theme')); ?>" />
					</p>
				</td>
			</tr>
		</table>
		</fieldset>
    </form>
</div>
<?php }

?>